Get subscriptions
curl --request GET \
--url https://platform.runonatlas.com/external/subscriptions \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.runonatlas.com/external/subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.runonatlas.com/external/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2021-01-01T00:00:00.000Z",
"id": "atlas-internal-subscription-id-123",
"startDate": "2021-01-01T00:00:00.000Z",
"status": "active",
"updatedAt": "2021-01-01T00:00:00.000Z",
"allowCustomerChanges": true,
"autoChargeInvoice": false,
"autoSyncInvoice": true,
"autoSendInvoice": true,
"paymentGateway": "Stripe",
"isTrial": false,
"customerId": "atlas-internal-customer-id-123",
"planId": "atlas-internal-plan-id-123",
"merchantId": "atlas-internal-merchant-id-123",
"billingCadence": "monthly",
"currency": "USD",
"endDate": "2021-12-31T00:00:00.000Z",
"netTerms": "net30",
"chargeForUsageBasedPricesDuringTrial": false
}
],
"count": 100,
"pages": 10,
"currentPage": 1
}Subscriptions
Get subscriptions
Get a paginated list of subscriptions.
GET
/
external
/
subscriptions
Get subscriptions
Authorizations
You can obtain this key from the Atlas dashboard. It must be of type secret
Query Parameters
The Atlas customer ID
Minimum string length:
1Example:
"atlas-internal-customer-id-123"
The Atlas subscription ID
Minimum string length:
1Example:
"atlas-internal-subscription-id-123"
The Atlas plan ID
Minimum string length:
1Example:
"atlas-internal-plan-id-123"
The status of the subscription
Available options:
draft, pendingActivation, active, ended, deleted Example:
"active"
The order of the results.
Available options:
asc, desc Example:
"asc"
The page number of the results.
Required range:
x >= 1Example:
1
The number of results per page.
Required range:
1 <= x <= 100Example:
10
The fields that can be used to order the results by.
Available options:
createdAt, endDate, id, startDate, status, updatedAt Example:
"id"

